Olympus Docs
ReferenceAPIsOry Hydra APIjwk

Set JSON Web Key

Use this method if you do not want to let Hydra generate the JWKs for you, but instead save your own.

PUT /admin/keys/{set}/{kid}

Use this method if you do not want to let Hydra generate the JWKs for you, but instead save your own.

A JSON Web Key (JWK) is a JavaScript Object Notation (JSON) data structure that represents a cryptographic key. A JWK Set is a JSON data structure that represents a set of JWKs. A JSON Web Key is identified by its set and key id. ORY Hydra uses this functionality to store cryptographic keys used for TLS and JSON Web Tokens (such as OpenID Connect ID tokens), and allows storing user-defined keys as well.

Operation ID: setJsonWebKey    Tag: jwk

Path parameters

NameTypeRequiredDescription
setstringyesThe JSON Web Key Set ID
kidstringyesJSON Web Key ID

Request body

Content-Type: application/json

Type: object

Schema: jsonWebKey, see the Ory Hydra API schemas reference for the full type.

Responses

StatusDescriptionBody
200jsonWebKeyapplication/json, object
defaulterrorOAuth2application/json, object

Generated from ../athena/openapi.json at build time.

On this page